# Interface ClientAuthConfig

All Superinterfaces:
  `AuthConfig`

public interface ClientAuthConfig extends AuthConfig

## Method Summary

Modifier and Type
Method
Description
`ClientAuthContext`
`getAuthContext(String authContextID, Subject clientSubject, Map properties)`

### Methods inherited from interface javax.security.auth.message.config.AuthConfig

`getAppContext, getAuthContextID, getMessageLayer, isProtected, refresh`

## Method Details

### getAuthContext

ClientAuthContext getAuthContext(String authContextID, Subject clientSubject, Map properties) throws AuthException

Throws:
  `AuthException`